--- glintr3.txt	2010-03-10 16:06:39.976804463 -0500
+++ glintr4.txt	2010-03-10 23:51:53.204805859 -0500
@@ -1,4 +1,4 @@
-/* Register definitions from Permedia3 Reference Guide Issue 8 */
+/* Register definitions from Permedia4 Reference Guide Volume II Issue 4 */
 
 /* Region 0 Control Status (0x0000-0x02ff) */
 0x0000 ResetStatus
@@ -23,7 +23,7 @@
 0x0098 PCIAbortAddress
 /* ... */
 0x00f0 PCIPLLStatus
-/* ... */
+0x00f8 AutoCalCount
 0x0100 HostTextureAddress
 0x0108 TextureDownloadControl
 0x0110 TextureOperation
@@ -124,6 +124,70 @@
 0x4038 RDIndexControl
 /* ... */
 
+/* Indirect RAMDAC Registers (0x0200 - 0x0fff) */
+0x000 RDMiscControl
+0x001 RDSyncControl
+0x002 RDDACControl
+0x003 RDPixelSize
+0x004 RDColorFormat
+0x005 RDCursorMode
+0x006 RDCursorControl
+0x007 RDCursortXLow
+0x008 RDCursortXHigh
+0x009 RDCursorYLow
+0x00a RDCursorYHigh
+0x00b RDCursorHotSpotX
+0x00c RDCursorHotSpotY
+0x00d RDOverlayKey
+0x00e RDPan
+0x00f RDSense
+0x018 RDCheckControl
+0x019 RDCheckPixelRed
+0x01a RDCheckPixelGreen
+0x01b RDCheckPixelBlue
+0x01c RDCheckLUTRed
+0x01d RDCheckLUTGreen
+0x01e RDCheckLUTBlue
+0x01f RDScratch
+0x020 RDVideoOverlayControl
+0x021 RDVideoOverlayXStartLow
+0x022 RDVideoOverlayXStartHigh
+0x023 RDVideoOverlayYStartLow
+0x024 RDVideoOverlayYStartHigh
+0x025 RDVideoOverlayXEndLow
+0x026 RDVideoOverlayXEndHigh
+0x027 RDVideoOverlayYEndLow
+0x028 RDDClk1PreScale
+0x028 RDVideoOverlayYEndHigh
+0x029 RDVideoOverlayKeyR
+0x02a RDVideoOverlayKeyG
+0x02b RDVideoOverlayKeyB
+0x02c RDVideoOverlayBlend
+0x1f0 RDDClkSetup1
+0x1f1 RDDClkSetup2
+0x1f2 RDKClkSetup1
+0x1f3 RDKClkSetup2
+0x200 RDDClkControl
+0x201 RDDClk0PreScale
+0x202 RDDClk0FeedbackScale
+0x203 RDDClk0PostScale
+0x206 RDDClk1PostScale
+0x207 RDDClk2PreScale
+0x208 RDDClk2FeedbackScale
+0x209 RDDClk2PostScale
+0x20a RDDClk3PreScale
+0x20b RDDClk3FeedbackScale
+0x20c RDDClk3PostScale
+0x20d RDKClkControl /* manual mistakenly lists this as RDKclkControl */
+0x20e RDKClkPreScale
+0x20f RDKClkFeedbackScale
+0x210 RDKClkPostScale
+0x211 RDMClkControl
+0x215 RDSClkControl
+0x24f RDDClk1FeedbackScale
+0x303 RDCursorPallet[45]
+0x400 RDCursorPattern[1024]
+
 /* Region 0 Video Stream Processing (0x5000-0x5fff) */
 0x5800 VSConfiguration
 0x5808 VSStatus
@@ -275,8 +339,6 @@
 0x8450 TextureLodBiasS
 0x8458 TextureLodBiasT
 /* ... */
-0x8490 TextureCacheControl /* only listed in Permedia3 Register Cross Reference */
-/* ... */
 0x84a8 BorderColor0
 /* ... */
 0x84c0 LUTIndex
@@ -301,7 +363,6 @@
 0x86b0 dFdyDom
 0x86b8 ZFogBias
 /* ... */
-0x86c8 KsStart /* only listed in Permedia3 Register Cross Reference */
 0x86d0 dKsdx
 0x86d8 dKsdyDom
 0x86e0 KdStart
@@ -341,9 +402,6 @@
 0x88c0 LBWriteMode
 0x88c8 LBWriteFormat
 /* ... */
-0x88e8 TextureData /* only listed in Permedia Register Cross Reference */
-0x88f0 TextureDownloadOffset /* only listed in Permedia3 Register Cross Reference */
-/* ... */
 0x8900 HostInID
 0x8908 Security
 0x8910 FlushWriteCombining
@@ -364,7 +422,6 @@
 0x89c8 dZdxL
 0x89d0 dZdyDomU
 0x89d8 dZdyDomL
-0x89e0 FastClearDepth /* only listed in Permedia3 Register Cross Reference */
 /* ... */
 0x8a98 FBColor
 0x8aa0 FBDestData
@@ -514,15 +571,6 @@
 0x9480 XBias
 0x9488 YBias
 /* ... */
-0x9498 PointSize /* only listed in Permedia3 Register Cross Reference */
-0x94a0 AAPointSize /* only listed in Permedia3 Register Cross Reference */
-0x94a8 LineMode /* only listed in Permedia3 Register Cross Reference */
-0x94b0 LineWidth /* only listed in Permedia3 Register Cross Reference */
-0x94b8 LineWidthOffset /* only listed in Permedia3 Register Cross Reference */
-0x94c0 AALineWidth /* only listed in Permedia3 Register Cross Reference */
-/* ... */
-0x94e0 RectangleHeight /* only listed in Permedia3 Register Cross Reference */
-/* ... */
 0x94f8 ZBias
 /* ... */
 0x9760 LineCoord0
@@ -551,15 +599,9 @@
 0xaad0 DeltaModeAnd
 0xaad8 DeltaModeOr
 /* ... */
-0xaaf0 LineModeAnd /* only listed in Permedia3 Register Cross Reference */
-0xaaf8 LineModeOr /* only listed in Permedia3 Register Cross Reference */
-/* ... */
 0xab20 DeltaFormatControlAnd /* known as DeltaControlAnd in Permedia3 Register References */
 0xab28 DeltaFormatControlOr /* known as DeltaControlOr in Permedia3 Register References */
 /* ... */
-0xab80 WindowAnd /* only listed in Permedia3 Register Cross Reference */
-0xab88 WindowOr /* only listed in Permedia3 Register Cross Reference */
-/* ... */
 0xaba0 RasterizerModeAnd
 0xaba8 RasterizerModeOr
 0xabb0 ScissorModeAnd
@@ -619,8 +661,6 @@
 0xad70 LUTModeAnd
 0xad78 LUTModeOr
 /* ... */
-0xadd8 Zstart /* listed only in Permedia3 Register Cross Reference */
-/* ... */
 0xae80 FBDestReadBufferAddr[4]
 0xaea0 FBDestReadBufferOffset[4]
 0xaec0 FBDestReadBufferWidth[4]
@@ -646,7 +686,7 @@
 0xb060 FBBlockColor[4]
 0xb080 FBBlockColorBack[4]
 0xb0a0 FBBlockColorBack
-0xb0a8 SizeOfFramebuffer /* only listed in Permedia3 Register References */
+/* ... */
 0xb0b0 VTGAddress
 0xb0b8 VTGData
 0xb0c0 ForegroundColor
